Update all records matching specified search criteria
Provide search and update objects with path and new value to patch rows matching search criteria.
Required API Scope: Workspace Content: Update
POST
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
content
/
search
/
patch
Update all records matching specified search criteria
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/search/patch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search": [
{
"name": "test"
}
],
"updates": {
"name": "new name"
}
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/search/patch"
payload = {
"search": [{ "name": "test" }],
"updates": { "name": "new name" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: [{name: 'test'}], updates: {name: 'new name'}})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/search/patch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": [
"<string>"
],
"success_total": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Was this page helpful?
⌘I
Update all records matching specified search criteria
